require "check_host/send_mail"

class CheckHostIp

  # @!attribute
  attr_accessor :host, :ip

  # @param: host (String) The host name
  # @param: ip (String) The host IP
  def initialize(host, ip)
    @host = host
    @ip   = ip
  end

  # Sends an email if result? is true
  # @return Boolean
  def notify
    if result?
      SendMail.new
      true
    else
      false
    end
  end

  private
    # Runs the host cmd and returns just the A record
    # example: "fawazalhokairfashion.com has address 91.109.13.176\\n"
    # @return String
    def cmd
      `host -t A #{host}`
    end

    # Checks whether a string contains the ip address
    # @return Boolean
    def result?
      !cmd.include? ip
    end
end